
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c#重点知识解答（五） / iVAN</title>

    <meta name="description" content="c#重点知识解答（五） 解答 第五章:代理 代理实现的是象c++等语言的指针功能,不同于函数指针,代理是一种面向对象.安全类型的.代理事派生于公共基类(system)的一种参考类型,方法被压入一个代理中,对于实例方法被称为实例的组成实体或关于实例的方法,而静态方法,被称为类的组成实体或类方法.代理的强大功能是它可以自动的匹配方法,而不管其类型. 写一个代理包括三个步骤: 写代理.实例化.调用. 代理的声明使用以下语法: delegate void SimpleDelegate(); 实例化一个代理 class Test">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c#重点知识解答（五）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>解答</p>
<p>第五章：代理 <br />代理实现的是象c++等语言的指针功能，不同于函数指针，代理是一种面向对象、安全类型的。代理事派生于公共基类（system）的一种参考类型，方法被压入一个代理中，对于实例方法被称为实例的组成实体或关于实例的方法，而静态方法，被称为类的组成实体或类方法。代理的强大功能是它可以自动的匹配方法，而不管其类型。</p>
<p>写一个代理包括三个步骤：</p>
<p>写代理、实例化、调用。</p>
<p>代理的声明使用以下语法： <br />delegate void SimpleDelegate();</p>
<p>实例化一个代理 <br />class Test <br />{ <br />static void F() { <br />System.Console.WriteLine("hello world"); <br />} <br />static void Main() { <br />SimpleDelegate d = new SimpleDelegate(F);//将方法压入 <br />d();//通过代理； <br />F();//不通过代理； <br />} <br />}</p>
<p>最后让我们调用她</p>
<p>void MultiCall(SimpleDelegate d, int count) { <br />for (int i = 0; i &lt; count; i++) <br />d(); <br />} <br />}</p>
<p>我们可以看到对于方法的调用是通过代理来完成的，调用时并不需要知道被调用她的类型。代理在我看来好比是对象要一件事她不直接地调用这个方法，而是通过一个中间人去调用她。</p>
<p>下面就代理的强大功能进行详细介绍：首先然我们实现一个这样的功能，考虑一下该如何用指向基类的对象调用子类的成员函数。在这里程序员是不是点怀恋指针了，不过在c#中这样的功能完全也可实现的，使用一个单独的代理我们可以完成这项功能。以下代码来自Timothy A. Vanover文章。</p>
<p>namespace DelegatesCS <br />{ <br />using System;</p>
<p>public class Wisdom //包含代理的类 <br />{ <br />public delegate string GiveAdvice(); <br />public string OfferAdvice(GiveAdvice Words) <br />{ <br />return Words(); <br />} <br />} <br />public class Parent //基类 <br />{ <br />public virtual string Advice() <br />{ <br />return("Listen to reason"); <br />} <br />~Parent() {} <br />} <br />public class Dad: Parent //子类 <br />{ <br />public Dad() {} <br />public override string Advice() <br />{ <br />return("Listen to your Mom"); <br />} <br />~Dad() {} <br />} <br />public class Mom: Parent //子类 <br />{ <br />public Mom() {} <br />public override string Advice() <br />{ <br />return("Listen to your Dad"); <br />} <br />~Mom() {} <br />} <br />public class Daughter //不继承与基类的类 <br />{ <br />public Daughter() {} <br />public string Advice() <br />{ <br />return("I know all there is to life"); <br />} <br />~Daughter() {} <br />}</p>
<p>public class Test <br />{ <br />public static string CallAdvice(Parent p)//使用基类 <br />{ <br />Wisdom parents = new Wisdom(); <br />Wisdom.GiveAdvice TeenageGirls = new Wisdom.GiveAdvice(p.Advice);//将Advice方法委托给TeenageGirls委托对象 <br />return(parents.OfferAdvice(TeenageGirls)); <br />}</p>
<p>public static void Main() <br />{ <br />Dad d = new Dad(); <br />Mom m = new Mom(); <br />Daughter g = new Daughter(); <br />//以下两个为衍于基类的类 <br />Console.WriteLine(CallAdvice(d)); <br />Console.WriteLine(CallAdvice(m)); <br />//以下为未衍于基类的类，如果调用将出错。 <br />//Console.WriteLine(CallAdvice(g)); <br />} <br />} <br />}</p>
<p>代理 二 <br />1〉事件</p>
<p>上一章讲解了有关代理的基本应用，本章将继续讲解深入代理的使用。这里我们讲解使用代理来处理事件。关于事件在另一章进行详细讲解。处理事件在c#中对比c++和vb来说更聪明，你可以写代理然后写事件处理者，事件处理者是一种定义在控件和窗体类中的重载的公共事件。我们在以下的例子中将看到代理在事件中的应用。</p>
<p>1。写代理 <br />我想处理鼠标单击事件和在鼠标单击左键或右键处理一些代码。写下面的代码在你的初始控件函数中。</p>
<p>this.MouseDown += new System.WinForms.MouseEventHandler(this.Form_MouseDown);</p>
<p>2. 写事件 <br />现在你可以写事件处理，你的事件的输出参数将返回窗体的鼠标事件参数的详细内容。以下时鼠标事件参数成员</p>
<p>MouseEventArgs members</p>
<p>Button 指示哪一个键被压，分为左、右、中、无 。 <br />Clicks 指示鼠标压下次数及释放状态。 <br />Delta 指示鼠标转动数量计数 <br />X 鼠标点击x坐标点 <br />Y 鼠标点击y坐标点</p>
<p>Event Handler</p>
<p>private void Form_MouseDown(object sender, System.WinForms.MouseEventArgs e) <br />{ <br />switch (e.Button) <br />{ <br />case MouseButtons.Left: <br />MessageBox.Show(this,"Left Button Click"); <br />break; <br />case MouseButtons.Right: <br />MessageBox.Show(this,"Right Button Click" ); <br />break; <br />case MouseButtons.Middle: <br />break; <br />default: <br />break; <br />}</p>
<p>}</p>
<p>在你的WinForm中测试你的程序，你会看到通过代理事件被关联了。</p>
<p>!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! <br />class I <br />{ <br />public I(){} <br />~I() {} <br />public void IDoLoveYou() <br />{System.Console.WriteLine("I do love You");}</p>
<p>public void why(){System.Console.WriteLine("why?");} <br />}</p>
<p>class HER <br />{ <br />public HER(){} <br />~HER() {} <br />public void IDo() <br />{System.Console.WriteLine("...............");} <br />public void slient(){System.Console.WriteLine(".........");} <br />}</p>
<p>class TELEPHONE <br />{public delegate void heartchat(); <br />public TELEPHONE(){} <br />~TELEPHONE(){} <br />public void hello(){System.Console.WriteLine("yesterday night,i telephone to my girlfriend"); }</p>
<p>}</p>
<p>class chat{ <br />static void Main() { <br />I i=new I(); <br />HER her=new HER(); <br />TELEPHONE telephone =new TELEPHONE(); <br />telephone.hello();</p>
<p>TELEPHONE.heartchat tell=new TELEPHONE.heartchat(i.IDoLoveYou); <br />tell();</p>
<p>TELEPHONE.heartchat answer=new TELEPHONE.heartchat(her.IDo); <br />answer();</p>
<p>TELEPHONE.heartchat ask=new TELEPHONE.heartchat(i.why); <br />ask();</p>
<p>TELEPHONE.heartchat noanswer=new TELEPHONE.heartchat(her.slient); <br />noanswer();</p>
<p>} <br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-07 06:40:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%90%86/" title="代理">代理</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/writeline/" title="WriteLine">WriteLine</a>, <a href="https://www.iamivan.net/tag/js%e4%ba%8b%e4%bb%b6%e4%bb%a3%e7%90%86/" title="js事件代理">js事件代理</a>, <a href="https://www.iamivan.net/tag/parent-%e4%bd%8d%e7%bd%ae-winform/" title="parent 位置 winform">parent 位置 winform</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e4%bb%a3%e7%90%86/" title="事件代理">事件代理</a>, <a href="https://www.iamivan.net/tag/c-%e9%bc%a0%e6%a0%87%e6%8c%87%e9%92%88-%e7%aa%97%e4%bd%93/" title="c&num; 鼠标指针 窗体">c&num; 鼠标指针 窗体</a>, <a href="https://www.iamivan.net/tag/class%e7%82%b9%e5%87%bb%e4%ba%8b%e4%bb%b6/" title="class点击事件">class点击事件</a>, <a href="https://www.iamivan.net/tag/c-winform-word/" title="c&num; winform word">c&num; winform word</a>, <a href="https://www.iamivan.net/tag/c-%c2%a0winform%c2%a0%e6%89%93%e5%bc%80word%e6%8a%a5%e9%94%99/" title="C&num;&nbsp;winform&nbsp;打开word报错">C&num;&nbsp;winform&nbsp;打开word报错</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c#重点知识解答（五）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZNPAb.html" rel="bookmark">【springmvc&plus;mybatis项目实战】杰信商贸-23&period;重点知识回顾</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.重点知识回顾 购销合同查看,采用类似hibernate方式,都以对象关联方式. (1)PO为了利用MyBatis性能,在创建时,没有采用关联对象关联,而是将对象关键字段,也就是外键,利用这个普通属性,来记录值,表数据间关联关系存在,但对象关联关系不存在.代码也就变得简单.在货物新增时,只要从主对象中携带过来,主表ID即可. (2)VO为了方便对象关联时取数据.在列表循环货物信息时,要去查询当前货物下的附件时,如果采用上面的方式,只能再次查询.但是我们以对象关联方式,可以直接获取到当前货物下的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKZZBb.html" rel="bookmark">【springmvc&plus;mybatis项目实战】杰信商贸-6&period;重点知识回顾</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.重点知识回顾 Maven 1)覆盖仓库文件,实际企业开发,公司会架一个测试服务器,在测试服务器中架私服.我们开发人员的程序,都连接私服.当本地没有项目中要使用的jar,Myeclipse maven插件会自动到私服去找jar,如果没找到去中央仓库maven寻找,找到后下载.activiti-engine-5.13.jar.lastUpdated 当访问远程仓库时,由于网络不稳定,有可能中断.当程序再次连接,它会自动修正.Pom文件报错,jar错误,去仓库目录找jar,jar存在,点击jar开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YNm7p.html" rel="bookmark">【springmvc&plus;mybatis项目实战】杰信商贸-12&period;重点知识回顾</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.回顾重点知识 a)Oracle安装 在本机安装oracle客户端,创建一个本地服务,程序或者控制台(PL/SQL)就可以访问数据库. PL/SQL绿色版,第一次运行它自动扫描本机安装的oracle,tnsnames.ora,同时记录下配置信息.如果把绿色版换个路径,就无法连接数据库.(TNS侦听无法连接)绿色版只能在放回原来第一次访问的路径.就可以访问. Oracle相当的脆弱.蓝屏,游戏导入异常电脑自动重启,台式机突然断电.都会导致oracle你再次连接时,直接报错.一般只要重启服务即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGQ5KlM.html" rel="bookmark">你必须要知道的架构知识~第五章 依赖住入在这个时候出场了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这段时间确实忙,以至于连写博客的时间都没有了,今天正好有点时间,有第五章依赖住入简单的说一下,主要分两块,一是依赖住入的概念,什么时候使用依赖注入,第二个问题是通过一个使用Unity的实例来让大家对依赖注入有一个很直观的认识. 一 概念:依赖注入,即Dependency Injection,即DI,有时也叫它控制反转,一般用IoC来实现对象的创建工作,我们知道一个类,要想被实例化我们可以用new关键字,例如一个数据操作接口规范interface IRepository{},其中有一个SQLSER			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJegNvp.html" rel="bookmark">学习Java中需要注意那些重点知识？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我是长沙清华it的一名学员,今年才开始接触Java方面的知识,我想问一下,学习Java需要怎么样去学,才学的更好.谢谢各位大师人物· 解决方案 解决方案二:语法完了...面向对象掌握好...集合IO...一直下去多看多敲...不要眼高手低就好解决方案三:重点结合hibernate理解面向对象的思想,结合struts理解MVC既web开发,结合spring理解ioc解决方案四:其实学习这门语言还是收获到很多的启示的学习永远没有旁观者别人会的,我们也会.谢谢大家的建议和意见.解决方案五:推			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP7vqM.html" rel="bookmark">C&num;重点知识详解（一）（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 在微软的.NET推出后,关于C#的有关文章也相继出现,作为微软的重要的与JAVA抗衡的语言,C#具有很多优点.本文将选一些C#语言中的重要知识详细介绍, 第一章:参数 1.1 IN 参数 c#种的四种参数形式: 一般参数 in参数 out参数 参数数列 本章将介绍后三种的使用. 在C语言你可以通传递地址(即实参)或是DELPHI语言中通过VAR指示符传递地址参数来进行数据排序等操作,在C#语言中,是如何做的呢?&quot;in&quot;关键字可以帮助你.这个关键字可以通过参数传递你想返回的值. n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyxx5b.html" rel="bookmark">C&num;重点知识详解（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 前沿 在微软的.NET推出后,关于C#的有关文章也相继出现,作为微软的重要的与JAVA抗衡的语言,C#具有很多优点.本文将选一些C#语言中的重要知识详细介绍, 第一章:参数 1.1 IN 参数 c#种的四种参数形式: 一般参数 in参数 out参数 参数数列本章将介绍后三种的使用. 在C语言你可以通传递地址(即实参)或是DELPHI语言中通过VAR指示符传递地址参数来进行数据排序等操作,在C#语言中,是如何做的呢?&quot;in&quot;关键字可以帮助你.这个关键字可以通过参数传递你想返回的值.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVleVM.html" rel="bookmark">c&num;重点知识详解（三）（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 第三章: 类属性 使用过RAD开发工具的一定inspector很熟悉,程序员通过它可以操作对象的属性,DELPHI中引入了PUBLISH关键字来公布对象属性受到程序员的普遍欢迎.通过存取标志来访问private成员,在c#中有两种途径揭示类的命名属性--通过域成员或者通过属性.前者是作为具有公共访问性的成员变量而被实现的:后者并不直接回应存储位置,只是通过存取标志(accessors)被访问.当你想读出或写入属性的值时,存取标志限定了被实现的语句.用于读出属性的值的存取标志记为关键字get			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl9ZNp.html" rel="bookmark">C&num;重点知识详解（二）（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 第二章 内存管理 c#内存管理提供了与java一样的自动内存管理功能,让程序员从繁重的内存管理中摆脱出来,内存管理提高了代码的质量和提高了开发效率. c#限制了着指针的使用,免除了程序员对内存泄漏的烦恼,但是不是意味着向java程序员一样c#程序员在也不能使用指针代来的好处.微软在设计C#语言时考虑到这个问题,在一方面抛弃指针的同时,另一方面采用折衷的办法,通过一个标志来时程序引入指针. 首先我们来了解自动内存管理 public class Stack { private Node fir			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy0GPb.html" rel="bookmark" class="title">Error 14274&colon; 无法添加、更新或删除从MSX服务器上发起的作业&period;</a>
					<div>
						error|服务器 错误场景: windows主机名变更后,试图更新或者删除SQL Server2000之前创建的job时会出现14274的错误. SQL 7.0不会出现该错误,但是在cluster环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV5PBp.html" rel="bookmark" class="title">C&num; AOP微型框架实现（二）</a>
					<div>
						  3. AopProxyAttribute  AOP代理特性 /****************************** AopProxyAttribute   **************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PwG8M.html" rel="bookmark" class="title">转唯美手绘教程</a>
					<div>
						效果图有点类似油画效果,色彩较为艳丽,唯美.处理的过程大致相同,只是在处理细节及上色的部分有点区别.画发丝的时候可以借用一些专业手绘软件来完成. 原图 最终效果 1.打开原图进行磨皮.调色.液化. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaaKZz.html" rel="bookmark" class="title">Win10操作系统分发商 为什么是这四家？</a>
					<div>
						  在移动互联网吞噬一切之时,PC已经静如死水多年.不过今天PC老大哥微软发布Windows 10的玩法,则让PC市场又回到人们视野,以完全不同的方式:微软这一次彻底地拥抱了互联网.支持包括盗版Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8vQAp.html" rel="bookmark" class="title">Cool Edit如何降噪音</a>
					<div>
						  1.点击左下方的波形水平放大按钮(带+号的两个分别为水平放大和垂直放大)放大波形,以找出一段适合用来作噪声采样波形. 2.点鼠标左键拖动,直至高亮区完全覆盖你所选的那一段波段.右单击高亮区选&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJvEEp.html" rel="bookmark" class="title">VMware虚拟机修改Linux MAC地址的三种方法</a>
					<div>
						  MAC地址为网卡的物理地址,在Windows系统下非常容易修改,在linux模式下则有些复杂, 我们看看VMware虚拟机中修改Linux MAC地址的方法 方法一: 这个方法最直接简单有效,修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6028b.html" rel="bookmark" class="title">&lbrack;经典面试题&rsqb;统计数组</a>
					<div>
						[题目] 给定数组A,大小为n,数组元素为1到n的数字,不过有的数字出现了多次,有的数字没有出现.请给出算法和程序,统计哪些数字没有出现,哪些数字出现了多少次.能够在O(n)的时间复杂度,O(1)的空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVd4mb.html" rel="bookmark" class="title">string-为什么赋给值指针（动态指针）值时，两次输出不一样？并且输出的地址也不一样，怎么让它们一样</a>
					<div>
						问题描述 为什么赋给值指针(动态指针)值时,两次输出不一样?并且输出的地址也不一样,怎么让它们一样 #include #include using namespace std;main(){ stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPKwDp.html" rel="bookmark" class="title">关于ntp（时间同步协议）服务端和客户端的配置说明</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1427010 本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YdxaM.html" rel="bookmark" class="title">if else if-关于if-else if。菜菜鸟弱弱的提问</a>
					<div>
						问题描述 关于if-else if.菜菜鸟弱弱的提问 Console.WriteLine(&quot;你的年龄为?&quot;); int age = Convert.ToInt32(Console. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z2QWM.html" rel="bookmark" class="title">Android Tools Download - 百度网盘下载&sol;收藏&sol;分享</a>
					<div>
						Android Studio 版本号 Windows Mac OSX Linux 0.8.9 下载 下载 下载 0.8.8 下载 下载 下载 0.8.7 下载 下载 下载 0.8.6 下载 下载 下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZRLqz.html" rel="bookmark" class="title">感悟总结</a>
					<div>
						  总   结                       1     跟人交往需要有很多的知识,要应付的是人不是机器.猪.牛样等 单纯的技术.机器-电脑,还是智能设备,                ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW4P5z.html" rel="bookmark" class="title">腾讯调整电商补偿引罢签，员工撰文求助马化腾</a>
					<div>
						3月28日下午消息,由于 腾讯电商调整了并入京东的补偿方案,有腾讯电商员工在内网发帖希望获得马化腾关注,并呼吁&quot;公正透明&quot;的处理方式,目前此文在腾讯内部引发剧烈讨论,不少员工纷纷表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE49KAz.html" rel="bookmark" class="title">存储极客 &vert; 瓜哥图解存储协议</a>
					<div>
						存储极客 这是一群存储偏执狂 为存储而生,跟存储死磕 各具独家秘笈 有观点,有碰撞,有干货 从2015年8月18起 做客存储极客栏目 与你分享存储里的那点事儿 SCSI.IDE.FC及SATA--,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodOjEM.html" rel="bookmark" class="title">【OJ】1&period;6&period;7将军（Check the Check）UVa 10196 &sol;&sol; PC 1101017 &sol;&sol; acmclub&period;com 25177</a>
					<div>
						/* 1.6.7将军(Check the Check)UVa 10196 // PC 1101017 // hzu.acmclub.com 25177 */ #include&lt;iostream& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqgkyb.html" rel="bookmark" class="title">ibatis查询结果映射的问题</a>
					<div>
						问题描述 问题描述:我使用的ibatis框架,现在有两个类,一个User一个Template,多对一的关系,即一个用户只能选择一个模板,一个模板可以被多个用户选择.User.classpublic c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR3y0p.html" rel="bookmark" class="title">中广传播CMMB手持电视将于5月1日正式商用</a>
					<div>
						CMMB睛彩导航和睛彩财经业务属于数据广播业务 腾讯科技讯(郭晓峰)4月18日消息,中广传播今天在深圳宣布,睛彩财经.睛彩导航两项数据广播业务自5月1日起正式商用,睛彩导航和睛彩财经的商用将采用套餐形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNvKxM.html" rel="bookmark" class="title">jsp-MyEclipse中使用struts2标签开发的JSP页面，但是在浏览器中一直显示空白。。</a>
					<div>
						问题描述 MyEclipse中使用struts2标签开发的JSP页面,但是在浏览器中一直显示空白.. &lt;%taglib=&quot;/struts-tags&quot; prefix=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqBDvp.html" rel="bookmark" class="title">语音怎么过段时间就播放不了？</a>
					<div>
						问题描述 本帖最后由 独孤求败 于 2015-2-27 14:48 编辑 语音怎么过段时间就播放不了?一直显示正在下载语言 ,稍后点击 解决方案 demo的话, 如果是自己发送的话,就不要验证是否下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NQ87z.html" rel="bookmark" class="title">使用 Python 创建你自己的 Shell（下）</a>
					<div>
						在上篇中,我们已经创建了一个 shell 主循环.切分了命令输入,以及通过 fork 和 exec 执行命令.在这部分,我们将会解决剩下的问题.首先,cd test_dir2 命令无法修改我们的当前目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QNB7p.html" rel="bookmark" class="title">IIS下w3wp附加报远程调试监视器似乎没有在远程计算机上运行</a>
					<div>
						问题描述 重新启动马上打开代码可以附加进去,一会在附件就报远程错误了,附加到IISexpress.exe又可以,请教各位遇到过没					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0035z.html" rel="bookmark" class="title">用javascript实现select的美化的方法&lowbar;表单特效</a>
					<div>
						用javascript模拟select达到美化效果 用户注册 帐号 密码 省份 江西福建广东浙江 作者博客					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QOV6p.html" rel="bookmark" class="title">PHP超全局数组&lpar;Superglobals&rpar;介绍&lowbar;php实例</a>
					<div>
						概述 想做一个微信的公众平台,阅读了微信官方给的网址接入的示例代码,发现有个问题好像一直都是半知半解的,就是在类里边直接使用$_GET.仔细查了下关于这方面的知识,发现PHP中这部分的基础知识掌握的不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7xvmM.html" rel="bookmark" class="title">java 线程中start方法与run方法的区别详细介绍&lowbar;java</a>
					<div>
						线程中start方法与run方法的区别 在线程中,如果start方法依次调用run方法,为什么我们会选择去调用start方法?或者在java线程中调用start方法与run方法的区别在哪里?  这两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQA4M.html" rel="bookmark" class="title">Baidu优化排名波动六点原因分析</a>
					<div>
						1.服务器原因造成的百度排名下降 如果你的服务器打开速度比较慢,有的服务器甚至经常打不开,服务器经常出错,当百度蜘蛛来抓取页面时,不能正常抓取,出现这种情况,会造成网站关键词排名下降.解决方法:确保网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6Jq2M.html" rel="bookmark" class="title">怎么使用ie11 中的&OpenCurlyDoubleQuote;跟踪保护&rdquo;功能</a>
					<div>
						跟踪保护如何帮助保护你的隐私   跟踪保护通过阻止来自所访问网站上的第三方内容提供商的内容,有助于防止你的浏览信息被发送到这些提供商. 这有助于保持浏览活动更加隐私.若要打开跟踪保护,你需要安装跟踪保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZEgZb.html" rel="bookmark" class="title">swift的安装启动proxy的问题</a>
					<div>
						问题描述 所有的包都安装好以后,在swift-initproxystart时报错:Traceback(mostrecentcalllast):File&quot;/usr/bin/swift-prox ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLwVXM.html" rel="bookmark" class="title">初折腾Oracle问题小记二</a>
					<div>
						说明: 为了CYQ.Data 框架 CYQ.Data 轻量数据层之路 框架开源系列 索引 引入支持Oralce,继续努力着. 今天花了半天,总算完成了添加/更新/删除操作.       继续记录今天折 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwylk8M.html" rel="bookmark" class="title">Html字符串转换为json字符串的问题</a>
					<div>
						问题描述 Html字符串转换为json字符串的问题 转换后: 最后那个p标签为什么也被转了? 解决方案 因为对于/这个字符,它被转义成/了. 解决方案二: 你需要先解析 HTML 格式,因为 和 是  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ626M.html" rel="bookmark" class="title">国外网络犯罪分子购买&OpenCurlyDoubleQuote;裤子&rdquo;的9大途径</a>
					<div>
						这个世界上,有阴就会有阳,有白天就会有黑夜,有地表就会有地下.一定存在一些你不知道的地方! 仅仅通过一个标准的Web浏览器,网络罪犯就可以在公共网络中寻找到个人或私密信息.公共网络不是仅提供合法的服务 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
